Summary:	A package for maintenance of constant databases
Summary(pl.UTF-8):	Stała baza danych
Name:		tinycdb
Version:	0.77
Release:	2
License:	Public Domain
Group:		Applications/Databases
Source0:	ftp://ftp.corpit.ru/pub/tinycdb/%{name}_%{version}.tar.gz
# Source0-md5:	c00e5fb96c30356ac3b67b2ab5d5641b
URL:		http://www.corpit.ru/mjt/tinycdb.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TinyCDB is a very fast and simple package for creating and reading
constant data bases, a data structure introduced by Dan J. Bernstein
in his cdb package. It may be used to speed up searches in a sequence
of (key,value) pairs with very big number of records. Example usage is
indexing a big list of users - where a search will require linear
reading of a large /etc/passwd file, and for many other tasks. It's
usage/API is similar to ones found in BerkeleyDB, gdbm and traditional
*nix dbm/ndbm libraries, and is compatible in great extent to cdb-0.75
package by Dan Bernstein.

CDB is a constant database, that is, it cannot be updated at a
runtime, only rebuilt. Rebuilding is atomic operation and is very
fast - much faster than of many other similar packages. Once created,
CDB may be queried, and a query takes very little time to complete.

This package contains shared library and cdb utility.

%description -l pl.UTF-8
tinycdb jest bardzo szybkim i prostym pakietem do tworzenia i czytania
stałych baz danych o strukturze wprowadzonej przez Dana J. Bernsteina
w jego pakiecie cdb. Może być używana do przyspieszenia wyszukiwania
kolejnych par (klucz,wartość) przy bardzo dużej liczbie rekordów.
Przykładowe zastosowanie to indeksowanie dużej listy użytkowników -
gdzie wyszukiwanie wymagałoby liniowego odczytu dużego pliku
/etc/passwd. Sposób użycia i API są podobne do znanych z BerkeleyDB,
gdbm czy tradycyjnych uniksowych bibliotek dbm/ndbm i są kompatybilne
w dużym stopniu z pakietem cdb-0.75 Dana Bernsteina.

CDB to stała baza danych, co oznacza, że nie można jej uaktualniać, a
jedynie przebudować od początku. Przebudowanie jest atomową operacją i
jest bardzo szybkie - dużo szybsze niż w przypadku wielu innych
podobnych pakietów. Po utworzeniu bazy CDB można wykonywać zapytania,
których wykonanie jest bardzo szybkie.

Ten pakiet zawiera bibliotekę współdzieloną i narzędzie cdb.

%package devel
Summary:	Header file for tinycdb
Summary(de.UTF-8):	Header-Datei für tinycdb
Summary(pl.UTF-8):	Plik nagłówkowy tinycdb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header file for tinycdb. It is required if
you plan to do development using the tinycdb database.

%description devel -l pl.UTF-8
W pakiecie tym znajduje się plik nagłówkowy dla systemu bazy danych
tinycdb. Jest potrzebny do programowania z użyciem tej bazy.

%package static
Summary:	Static tinycdb library
Summary(pl.UTF-8):	Statyczna biblioteka tinycdb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static tinycdb library.

%description static -l pl.UTF-8
Statyczna biblioteka tinycdb.

%package -n nss_tinycdb
Summary:	NSS module which uses tinycdb database
Summary(pl.UTF-8):	Moduł NSS używający bazy danych tinycdb
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n nss_tinycdb
NSS module which uses tinycdb database to keep passwd, group and
shadow entries.

%description -n nss_tinycdb -l pl.UTF-8
Moduł NSS używający bazy danych tinycdb do przechowywania wpisów
passwd, group i shadow.

%prep
%setup -q

%build
%{__make} -j1 shared staticlib nss \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	NSS_USELIB="\$(SOLIB)"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-sharedlib install-nss \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	mandir=%{_mandir} \
	syslibdir=/%{_lib} \
	INSTALLPROG=cdb-shared

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%attr(755,root,root) %{_bindir}/cdb
%attr(755,root,root) %{_libdir}/libcdb.so.*
%{_mandir}/man1/cdb.1*
%{_mandir}/man5/cdb.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdb.so
%{_mandir}/man3/cdb.3*
%{_includedir}/cdb.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcdb.a

%files -n nss_tinycdb
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_cdb.so.2
/etc/cdb-Makefile
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/tinycdb.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 641fb8e
- x32 rebuild
- release 2 (by relup.sh)

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> b7e9ae7
- up to 0.77

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 202a6d3
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ccdb7f4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9529e34
- converted to UTF-8

* Tue Dec 26 2006 Elan Ruusamäe <glen@pld-linux.org> 441d590
- make -j1

* Tue Dec 26 2006 Jakub Bogusz <qboosh@pld-linux.org> b3bca8a
- updated to 0.76
- new desc taken from URL instead of one from cdb package
- build static lib, added -static and nss_tinycdb packages

* Wed Nov 16 2005 Jakub Bogusz <qboosh@pld-linux.org> a77249c
- unified

* Thu Apr 21 2005 hawk <hawk@pld-linux.org> 533ef68
- release 4 (3 is for Ra)

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 9a339f3
- spaces->tabs

* Thu Mar 11 2004 undefine <undefine@pld-linux.org> a4f1d58
- defattr on ChangeLog too, release 2

* Fri Nov 14 2003 deejay1 <deejay1@pld-linux.org> 4d8c5a0
- up to 0.74

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c3e0136
- mass commit: cosmetics (removed trailing white spaces)

* Tue Aug 12 2003 ankry <ankry@pld-linux.org> e5fc319
- cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 6a67bbc
- use %{version}, not %version

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 80b53ad
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 26b42b3
- massive attack s/pld.org.pl/pld-linux.org/

* Fri May 02 2003 ppv <eothane@pld-linux.org> 02b33d6
- added URL:

* Wed Dec 18 2002 areq <areq@pld-linux.org> 62018dc
- 0.73, STBR

* Tue Dec 03 2002 ankry <ankry@pld-linux.org> 6d5e77f
- cleaning

